# GPU Cluster Capella

## Overview

The multi-GPU cluster `Capella` has been installed for AI-related computations and traditional
HPC simulations. Capella is fully integrated into the ZIH HPC infrastructure.
Therefore, the usage should be similar to the other clusters.

## Hardware Resources

The hardware specification is documented on the page
[HPC Resources](hardware_overview.md#capella).

## Login

You use `login[1-2].capella.hpc.tu-dresden.de` to access the system from campus (or VPN).
In order to verify the SSH fingerprints of the login nodes, please refer to the page
[Fingerprints](../access/key_fingerprints.md#capella).

## Filesystems

Capella has a fast WEKAio filesystem mounted on `/data/cat`. It is only mounted on Capella and the
[Datamover nodes](../data_transfer/datamover.md).
It should be used as the main working filesystem on Capella and has to be used with
[workspaces](../data_lifecycle/file_systems.md).
Workspaces on the filesystem `cat` can only be created on the Capella login and compute nodes,
not on the other clusters since `cat` is not available there.

Although all other [filesystems](../data_lifecycle/workspaces.md)
(`/home`, `/software`, `/data/horse`, `/data/walrus`, etc.) are also available.

!!!

    We recommend to store your data on `/data/walrus` in an archive file and only move your hot data via
    [Datamover nodes](../data_transfer/datamover.md) into `/data/cat` which should be used as a fast
    staging storage.

### Modules

The easiest way using software is using the [module system](../software/modules.md).
All software available from the module system has been deliberately build for the cluster `Capella`
i.e., with optimization for Zen4 (Genoa) microarchitecture and CUDA-support enabled.

### Python Virtual Environments

[Virtual environments](../software/python_virtual_environments.md) allow you to install
additional Python packages and create an isolated runtime environment. We recommend using
`venv` for this purpose.

!!! hint

    We recommend to use [workspaces](../data_lifecycle/workspaces.md) for your virtual environments.
